set more off
capture log close
log using perform_regress_jul08.log, replace
clear
set mem 400m

use Karlan&Zinman_OU_ecma_replication.dta

***TABLE 1 IN PUBLISHED VERSION

*COLUMN 1
xi: reg pstdue_perc_average offer4 final4 yearlong i.risk i.wave i.branchuse , cluster(branchuse)
estimates store m1, title((1))
testparm offer4 final4 yearlong

*COLUMN 2
xi: reg pstdue_perc_average offer4 final4 yearlong yearlong_savings i.risk i.wave i.branchuse , cluster(branchuse)
estimates store m2, title((2))
test yearlong yearlong_savings
local Fyearlong_p = r(p)
testparm offer4 final4 yearlong yearlong_savings

xi: reg cdl_pos_average offer4 final4 yearlong i.risk i.wave i.branchuse , cluster(branchuse)
estimates store m3, title((3))
testparm offer4 final4 yearlong

xi: reg cdl_pos_average offer4 final4 yearlong yearlong_savings i.risk i.wave i.branchuse , cluster(branchuse)
estimates store m4, title((4))
test yearlong yearlong_savings
local Fyearlong_p = r(p)
testparm offer4 final4 yearlong yearlong_savings

xi: reg badacct_last offer4 final4 yearlong i.risk i.wave i.branchuse , cluster(branchuse)
estimates store m5, title((5))
testparm offer4 final4 yearlong

xi: reg badacct_last offer4 final4 yearlong yearlong_savings i.risk i.wave i.branchuse , cluster(branchuse)
estimates store m6, title((6))
test yearlong yearlong_savings
local Fyearlong_p = r(p)
testparm offer4 final4 yearlong yearlong_savings

xi: reg Sindex offer4 final4 yearlong i.risk i.wave i.branchuse , cluster(branchuse)
estimates store m7, title((7))
testparm offer4 final4 yearlong

*COLUMN 8
xi: reg Sindex offer4 final4 yearlong yearlong_savings i.risk i.wave i.branchuse , cluster(branchuse)
estimates store m8, title((8))
test yearlong yearlong_savings
local Fyearlong_p = r(p)
testparm offer4 final4 yearlong yearlong_savings

estout * using table.txt, cells(b(star fmt(%9.3f)) se(par)) stats(r2 N, fmt(%9.0g)) style(tab) starlevels(* 0.10 ** 0.05 *** 0.01) mlabels((1) (2) (3) (4) (5) (6) (7) (8) (9) (10) (11) (12)) label collabels(,none) keep(final4 yearlong yearlong_savings offer4) prehead(Table 1.) postfoot(@starlegend.) replace margin nodiscrete 
est clear

